DCMTK - Bug #546

Incorrect entry in DUL FSM table
2013-08-30 10:33 - Marco Eichelberg

Status: Closed

Priority: Normal
Assignee: Marco Eichelberg
Category: Library

Target version: 3.6.1+

Module: dcmnet

Operating System:

Start date: 2013-08-30
Due date:

% Done: 100%
Estimated time: 2:00 hours
Compiler:

Description

One enty in the DUL FSM table in dcmnet/libsrc/dulfsm.cc differs from the state machine table given in the DICOM standard:
in dulfsm.cc: {A_ASSOCIATE_RQ_PDU_RCV, STATE5, AE_4, STATE1, ™, ", NULL}

according to the standard this should be: {A_ASSOCIATE_RQ_PDU_RCV, STATES5, AA_8, STATE13, ", ", NULL},

This bug has been present at least since version 1.5 (1994), and perhaps was there from the very beginning.

It is probable that nobody has ever noticed because this operation in the FSM only occurs when
both SCU and SCP issue an A-ASSOCIATE-RQ on the same transport connection at the same time,

which should never happen.

Basically we need to to change this as described above and then do some testing with
the A-ASSOCIATE procedures (negotiation, accept, reject, abort etc.) to see whether the change

creates unforseen problems.

This bug was reported by Mathieu Malaterre.

History

#1 - 2014-08-04 11:41 - OFFIS DICOM Team

- Assignee set to Marco Eichelberg

#2 - 2015-04-22 16:33 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented and tested bug fix. Works as expected.
